Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.addressing
Class RelatesToType

    java.lang.Object
      org.apache.cxf.ws.addressing.RelatesToType

    public class RelatesToType

extends java.lang.Object

Java class for RelatesToType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RelatesToType">
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>anyURI">
           <attribute name="RelationshipType" type="{http://www.w3.org/2005/08/addressing}RelationshipTypeOpenEnum" default="http://www.w3.org/2005/08/addressing/reply" />
         </extension>
       </simpleContent>
     </complexType>

Field Summary
`protected java.lang.String` | `relationshipType`
`protected java.lang.String` | `value`

Constructor Summary
`RelatesToType()`

Method Summary
`java.util.Map<javax.xml.namespace.QName,java.lang.String>` | `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.
`java.lang.String` | `getRelationshipType()` Gets the value of the relationshipType property.
`java.lang.String` | `getValue()` Gets the value of the value property.
`void` | `setRelationshipType(java.lang.String value)` Sets the value of the relationshipType property.
`void` | `setValue(java.lang.String value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected java.lang.String value

### relationshipType

    protected java.lang.String relationshipType

Constructor Detail

### RelatesToType

    public RelatesToType()

Method Detail

### getValue

    public java.lang.String getValue()

  Gets the value of the value property.

  Returns:
    possible object is `String`

### setValue

    public void setValue(java.lang.String value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is `String`

### getRelationshipType

    public java.lang.String getRelationshipType()

  Gets the value of the relationshipType property.

  Returns:
    possible object is `String`

### setRelationshipType

    public void setRelationshipType(java.lang.String value)

  Sets the value of the relationshipType property.

  Parameters:
    `value` - allowed object is `String`

### getOtherAttributes

    public java.util.Map<javax.xml.namespace.QName,java.lang.String> getOtherAttributes()

  Gets a map that contains attributes that aren't bound to any typed property on this class.

  the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

  Returns:
    always non-null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.